From 8fd92641c46e8b28f549627f5417743a7e5867c4 Mon Sep 17 00:00:00 2001
From: Clement Verna <cverna@tutanota.com>
Date: May 09 2016 17:04:59 +0000
Subject: [PATCH 22/24] Use FAS username and password to to perform authenticated calls

of the XML-RPC APIs

---

diff --git a/pagure_importer/commands/fedorahosted.py b/pagure_importer/commands/fedorahosted.py
index 9ca8a53..15fc1c4 100644
--- a/pagure_importer/commands/fedorahosted.py
+++ b/pagure_importer/commands/fedorahosted.py
@@ -11,5 +11,10 @@ def fedorahosted(project_url):
     fas_password = getpass.getpass('Enter your FAS password: ')
     fasclient = FASclient(fas_username, fas_password,
                                'https://admin.fedoraproject.org/accounts')
-    trac_importer = importer_trac.TracImporter(project_url, fasclient)
+
+    rpc_login = fas_username + ':' + fas_password + '@'
+    url_index = project_url.find('://')
+    rpc_url = project_url[:url_index+3] + rpc_login + project_url[url_index+3:]\
+        + '/login/xmlrpc'
+    trac_importer = importer_trac.TracImporter(rpc_url, fasclient)
     trac_importer.import_issues(repo_path=REPO_NAME, repo_folder=REPO_PATH)

